analyzers:
  localizer:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Localizer
    expected:
      - "loc6_aligner_node: loc6_aligner_diagnostic"
      - "loc6_aligner_node: loc6_aligner_zci"
      - "perception_lidar: lidar_component_zci"
      - "perception_lidar: spin_loader_diagnostic"
      - "perception_lidar: lidar_diagnostic"
      - "perception_lidar: simple_spin_loader_zci"
      - "perception_lidar: activation_client_zci"
      - "localizer_locomofo_supervisor: Loc6 Aligner Orchestration"
      - "localizer_locomofo_supervisor: Perception Lidar Orchestration"
      - "localizer_locomofo_supervisor: Localizer ROS Diagnostic Aggregator Orchestration"
      - "localizer_locomofo_supervisor: supervisor_zci"
      - "localizer_locomofo_supervisor: supervisor_diagnostic"
    remove_prefix:
      - "loc6_aligner_node"
      - "perception_lidar"
      - "localizer_locomofo_supervisor"
